# Account

Source: https://docs.elnora.ai/docs/api/reference/account
Last modified: 2026-09-08T22:35:25-06:00

> Account endpoints of the Elnora REST API.

Base URL `https://platform.elnora.ai/api/v1`. Authenticate every request with the `X-API-Key` header — see [Authentication](https://docs.elnora.ai/docs/get-started/authentication).

## `POST` /account/ConfirmEmail

```bash
curl -X POST https://platform.elnora.ai/api/v1/account/ConfirmEmail \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```

**Request body**

| Field | Type | Required |
| --- | --- | --- |
| `email` | string | no |
| `token` | string | no |

**Responses**: `200` · `404`

## `POST` /account/ExternalLogin

Third party login and signup.

```bash
curl -X POST https://platform.elnora.ai/api/v1/account/ExternalLogin \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json"
```

**Responses**: `200`

## `GET` /account/ExternalLoginCallback

For third party login and signup.

```bash
curl https://platform.elnora.ai/api/v1/account/ExternalLoginCallback \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `returnUrl` | query | string | no |
| `signup` | query | boolean | no |

**Responses**: `200`

## `POST` /account/MagicLink/CompleteRegistration

Complete registration for new user after magic link verification

```bash
curl -X POST https://platform.elnora.ai/api/v1/account/MagicLink/CompleteRegistration \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "email": "user@example.com", "code": "...", "firstName": "...", "lastName": "...", "termsConditions": true, "privacyPolicy": true }'
```

**Request body**

| Field | Type | Required |
| --- | --- | --- |
| `email` | email | yes |
| `code` | string | yes |
| `firstName` | string | yes |
| `lastName` | string | yes |
| `displayName` | string | no |
| `termsConditions` | boolean | yes |
| `privacyPolicy` | boolean | yes |
| `marketingConsent` | boolean | no |
| `invitationToken` | string | no |

**Responses**: `200` · `400`

## `POST` /account/MagicLink/Request

Request a magic link for passwordless authentication

```bash
curl -X POST https://platform.elnora.ai/api/v1/account/MagicLink/Request \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "email": "user@example.com" }'
```

**Request body**

| Field | Type | Required |
| --- | --- | --- |
| `email` | email | yes |

**Responses**: `200` · `400`

## `POST` /account/MagicLink/Verify

Verify a magic link token and authenticate existing user

```bash
curl -X POST https://platform.elnora.ai/api/v1/account/MagicLink/Verify \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "email": "user@example.com", "code": "..." }'
```

**Request body**

| Field | Type | Required |
| --- | --- | --- |
| `email` | email | yes |
| `code` | string | yes |

**Responses**: `200` · `400`

## `DELETE` /account/me

```bash
curl -X DELETE https://platform.elnora.ai/api/v1/account/me \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Responses**: `200` · `400` · `409`

## `GET` /account/sso-callback

Cognito redirect target after the IdP round-trip.

```bash
curl https://platform.elnora.ai/api/v1/account/sso-callback \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `code` | query | string | no |
| `state` | query | string | no |
| `error` | query | string | no |

**Responses**: `200`

## `GET` /account/sso/start

Initiate an enterprise SSO sign-in.

```bash
curl https://platform.elnora.ai/api/v1/account/sso/start \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `email` | query | string | no |
| `returnUrl` | query | string | no |
| `test` | query | boolean | no |

**Responses**: `200`

## `GET` /account/user/&#123;appUserId&#125;

For user to get their own aggregated information

```bash
curl https://platform.elnora.ai/api/v1/account/user/{appUserId} \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `appUserId` | path | int32 | yes |

**Responses**: `200` · `404`

## `PUT` /account/user/&#123;appUserId&#125;

For user to update their own information

```bash
curl -X PUT https://platform.elnora.ai/api/v1/account/user/{appUserId} \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `appUserId` | path | int32 | yes |

**Request body**

| Field | Type | Required |
| --- | --- | --- |
| `displayName` | string | no |
| `firstName` | string | no |
| `lastName` | string | no |
| `currentPosition` | string | no |
| `currentEmployer` | string | no |
| `hopes` | string | no |
| `useCase` | string | no |
| `referralCode` | string | no |
| `acceptedTermsAndConditions` | uuid | no |
| `acceptedPrivacyPolicy` | uuid | no |
| `marketingConsent` | boolean | no |

**Responses**: `200` · `404`
